coupang
PUT/v2/providers/fms/apis/api/v1/vendors/{vendorId}/coupons/{couponId}2609170000

[Instant Discount Coupon] Expiration/ Disable

KRTW
# 01

簡介

[Instant Discount Coupon] Expiration/ Disable

# 02

詳細內容

Available buyer market: Korea

API to delete a created coupon.
Since this is an asynchronous API that only handles requests, you will have to use the response's "requestedId" value to find actual API response through Request status check API.

Failure can occur when attempting to delete coupon if there are other unfinished requests.

For example, if you have requested to add items after creating a coupon, coupon deletion will fail until all items have been added. ("success": displays false)

路徑

PUT/v2/providers/fms/apis/api/v1/vendors/{vendorId}/coupons/{couponId}

範例端點

https://api-gateway.coupang.com/v2/providers/fms/apis/api/v1/vendors/A00012345/coupons/684245?action=expire
# 03

Path 參數

NameTypeDescription
vendorId*string
Vendor ID
Unique code issued to vendor by Coupang.
ex) A00012345
couponId*number
Coupon ID to be deleted
# 04

Query 參數

NameTypeDescription
action*string
expire
# 05

回應內容

回應訊息

NameTypeDescription
codeinteger
server response code
messagestring
server response message
httpStatusinteger
HTTP Status Code(same value as server response code)
httpStatusMessagestring
HTTP Status Message (same value as server response message)
errorMessagestring
Detailed message on server failure reasons for all statuses excluding HTTP Status 200.
dataobject
run successful or not
success
data.success
boolean
successful or not
true or false
content
data.content
object
request ID data to query processing status
requestedId
data.content.requestedId
string
request ID to query processing status
ex) 1542675975663862164
success
data.content.success
boolean
successful or not
true or false
Pagination
data.Pagination
string
no pagination

Response Example

{
  "code": 200,
  "message": "OK",
  "httpStatus": 200,
  "httpStatusMessage": "OK",
  "errorMessage": "",
  "data": {
    "success": true,
    "content": {
      "requestedId": "649102321051192483",
      "success": true
    },
    "pagination": null
  }
}
# 06

錯誤碼

HTTP代碼訊息
400HTTP_400Bad Request

錯誤說明

HTTP類型錯誤訊息解決方案
400400 (check request parameter)

Cannot find coupon.2325***23

Check if correct couponID value was entered..